import { Commitment } from '@solana/rpc-types';
import { TransactionSignature } from '@solana/transactions';
import { RpcResponse } from '../rpc-methods/common';
import { TransactionError } from '../transaction-error';
type SignatureNotificationsApiNotificationReceived = RpcResponse<Readonly<string>>;
type SignatureNotificationsApiNotificationProcessed = RpcResponse<Readonly<{
    err: TransactionError | null;
}>>;
type SignatureNotificationsApiConfigBase = Readonly<{
    commitment?: Commitment;
}>;
export interface SignatureNotificationsApi {
    /**
     * Subscribe to a transaction signature to receive notification when a given transaction is committed.
     * On `signatureNotification` - the subscription is automatically cancelled.
     * The signature must be a txid, the first signature of a transaction.
     */
    signatureNotifications(signature: TransactionSignature, config: SignatureNotificationsApiConfigBase & Readonly<{
        enableReceivedNotification: true;
    }>): SignatureNotificationsApiNotificationReceived | SignatureNotificationsApiNotificationProcessed;
    signatureNotifications(signature: TransactionSignature, config?: SignatureNotificationsApiConfigBase & Readonly<{
        enableReceivedNotification?: false;
    }>): SignatureNotificationsApiNotificationProcessed;
}
export {};
//# sourceMappingURL=signature-notifications.d.ts.map